<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CostbgindexMapper">

    <resultMap id="costbgindexMap" type="com.tofly.xrtygis.entity.Costbgindex">
        <id property="id" column="ID"/>
        <result property="yearId" column="YEAR_ID"/>
        <result property="month" column="MONTH"/>
        <result property="pacOne" column="PAC_ONE"/>
        <result property="pacTwo" column="PAC_TWO"/>
        <result property="syOne" column="SY_ONE"/>
        <result property="ylTwo" column="YL_TWO"/>
        <result property="pam" column="PAM"/>
        <result property="ft" column="FT"/>
        <result property="cn" column="CN"/>
        <result property="gmsjfhy" column="GMSJFHY"/>
        <result property="pamWn" column="PAM_WN"/>
        <result property="bcs" column="BCS"/>
        <result property="wnzl" column="WNZL"/>
        <result property="dldlOne" column="DLDL_ONE"/>
        <result property="dldlTwo" column="DLDL_TWO"/>
        <result property="dldlTotal" column="DLDL_TOTAL"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="other" column="OTHER"/>
        <result property="jbdlOne" column="JBDL_ONE"/>
        <result property="jbdlTwo" column="JBDL_TWO"/>
        <result property="jbdlTotal" column="JBDL_TOTAL"/>
        <result property="cnTwo" column="CN_TWO"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="otherOne" column="OTHER_ONE"/>
        <result property="otherTwo" column="OTHER_TWO"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
